package com.huiju.welcome.service;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.*;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-06-04
 */
public interface ITaMainUsherRecordService extends IService<TaMainUsherRecord> {

    boolean updateNormal(List<TaMainUsherRecord> recs);

    void notifyConsultant(TaMainUsherRecord taMainUsherRecord, TaCustomer taCustomer) throws Exception;

    boolean newRecordByDeviceDeprecated(TaCustomer taCustomer, TaPerson taPerson);

    boolean newRecordByConsultant(TaCustomer taCustomer, JSONArray follows);
    IPage<TaMainUsherRecord> taMainUsherRecordList(IPage<TaMainUsherRecord> pg,String phone,String platNumber,String personName,Integer appointment);

    /**
     * 查询客户列表
     * @return
     */
    ResponseBean customerPage(int pageNum, int pageSize, String customerName, String phone, String platNumber, Integer agentUserId);

    boolean newRecordByMiniapp(TaMainUsherRecord taMainUsherRecord) throws Exception;

    boolean updateByMiniapp(TaMainUsherRecord taMainUsherRecord, TaCustomer taCustomer) throws Exception;

    boolean deleteRecord(Integer id);

    boolean newRecordByDevice(TaPerson taPerson, TaCustomer taCustomer);

    boolean updateByCustomer(TaCustomer taCustomer, JSONArray follows, String userId);

    TaMainUsherRecord getTodayRecord(Integer customerId);
    
    boolean updateMainUsherRecord(TaMainUsherRecord taMainUsherRecord, Integer customerId, String subject);

    TaMainUsherRecord newRecordByFirstUsher(TaFirstUsherRecord taFirstUsherRecord, TaCustomer taCustomer);

    TaMainUsherRecord mergeAndDelete(TaMainUsherRecord source, TaMainUsherRecord target);

    List<UsherRecordExcel> getCustomersEqualCustomerPageExcel(String personName, String phone, String receiver, String customerType, Integer customerSource, Date startTime,Date endTime);

    IPage<TaMainUsherRecord> usherRecords(String personName, String phone, String receiver, String customerType, Integer customerSource, Date startTime, Date endTime, Integer pageNum, Integer pageSize);
}
