package com.huiju.welcome.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class UsherRecordExcel extends BaseRowModel {


    @ExcelProperty(value = "客户类型" ,index = 0)
    String customerType;

    @ExcelProperty(value = "姓名" ,index = 1)
    String personName;

    @ExcelProperty(value = "手机号码" ,index = 2)
    String phone;

    @ExcelProperty(value = "来访人数" ,index = 3)
    String personNum;

    @ExcelProperty(value = "到访时间" ,index = 4)
    LocalDateTime visiteDate;

    @ExcelProperty(value = "客户来源" ,index = 5)
    String customerSource;

    @ExcelProperty(value = "车牌号码" ,index = 6)
    String plateNumber;

    @ExcelProperty(value = "接待人" ,index = 7)
    String receiver;

    @ExcelProperty(value = "预约人",index = 8)
    String appointmentName;

}
